GuideLab API

List Work Trays

List work trays for the current lab with pagination, search, and optional order filtering. Includes the currently assigned order for each tray. Lab-only operation.

GET
/work-trays

List work trays for the current lab with pagination, search, and optional order filtering. Includes the currently assigned order for each tray. Lab-only operation.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

page?integer
Range1 <= value
Default1
limit?integer
Range1 <= value <= 500
Default50
search?string
orderId?string
includeInactive?||
Defaultfalse

Response Body

application/json

curl -X GET "https://example.com/work-trays"
{  "data": [    {      "id": "string",      "labId": "string",      "code": "string",      "color": "string",      "description": "string",      "isActive": true,      "sortOrder": 0,      "createdAt": "string",      "updatedAt": "string",      "currentOrderId": "string",      "currentOrderNumber": "string",      "currentOrderPhaseId": "string",      "currentPhaseName": "string"    }  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "totalPages": 0  }}
Empty
Empty
Empty